﻿'   VBA Extractor - exports VB source code from macro enabled Word and Excel documents
'   Copyright (c) 2013 Tony Jollans & Neil Dodson

'   This program is free software; you can redistribute it and/or
'   modify it under the terms of the GNU General Public License
'   as published by the Free Software Foundation; either version 2
'   of the License, or (at your option) any later version.

'   This program is distributed in the hope that it will be useful,
'   but WITHOUT ANY WARRANTY; without even the implied warranty of
'   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'   GNU General Public License for more details.

'   You should have received a copy of the GNU General Public License
'   along with this program; if not, write to the Free Software
'   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


Public MustInherit Class SourceFile
    Inherits Vb6File

    Private _source As String

    Public Sub New(ByVal Source As String)
        Me._source = Source
    End Sub
    Public Overrides ReadOnly Property Code As String
        Get
            Return _source
        End Get
    End Property

    Public MustOverride ReadOnly Property FileType As String

    Public Overridable ReadOnly Property ManifestDeclaration As String
        Get
            Return String.Format("{0}={1}; {2}{3}", FileType, Name, FileName, FileExtension)
        End Get
    End Property
     
End Class
 