﻿'   VBA Extractor - exports VB source code from macro enabled Word and Excel documents
'   Copyright (c) 2013 Tony Jollans & Neil Dodson

'   This program is free software; you can redistribute it and/or
'   modify it under the terms of the GNU General Public License
'   as published by the Free Software Foundation; either version 2
'   of the License, or (at your option) any later version.

'   This program is distributed in the hope that it will be useful,
'   but WITHOUT ANY WARRANTY; without even the implied warranty of
'   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'   GNU General Public License for more details.

'   You should have received a copy of the GNU General Public License
'   along with this program; if not, write to the Free Software
'   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Public Class Vb6Class
    Inherits SourceFile

    Private Shared Header As String =
        "VERSION 1.0 CLASS" & vbCrLf & _
        "BEGIN" & vbCrLf & _
        "MultiUse = -1  'True" & vbCrLf & _
        "Persistable = 0  'NotPersistable" & vbCrLf & _
        "DataBindingBehavior = 0  'vbNone" & vbCrLf & _
        "DataSourceBehavior = 0  'vbNone" & vbCrLf & _
        "MTSTransactionMode = 0  'NotAnMTSObject" & vbCrLf & _
        "END" & vbCrLf

    Public Sub New(ByVal Source As String)
        MyBase.New(Source)
    End Sub

    Public Overrides ReadOnly Property FileExtension() As String
        Get
            Return ".cls"
        End Get
    End Property

    Public Overrides ReadOnly Property FileType As String
        Get
            Return "Class"
        End Get
    End Property

    Public Overrides ReadOnly Property Code As String
        Get
            Return Header & MyBase.Code
        End Get
    End Property

End Class
 